%define	version	2.0
%define pre beta5
%define release	%mkrel 0.%pre.2

%define gaim_version 1:2.0.0

Summary:	Update Gaim user info with music info playing in Rhythmbox
Name:		gaim-rhythmbox
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Instant messaging
URL:		http://jon.oberheide.org/projects/gaim-rhythmbox/
Source:		http://jon.oberheide.org/projects/gaim-rhythmbox/downloads/%{name}-%{version}%pre.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gaim-devel >= %{gaim_version}
BuildRequires:	gtk2-devel
BuildRequires:	dbus-glib-devel
Requires:	gaim >= %{gaim_version}
Requires:	rhythmbox

%description
The Gaim-Rhythmbox plugin will automatically update your Gaim user
info and/or away message with the currently playing music in Rhythmbox.

If the artist and title are known, it will also attempt to create
a link to the song's lyrics by using Google's "I'm Feeling Lucky"
feature.

Gaim-Rhythmbox will replace %%rb in your user info and/or away message
with the song information. As of version 1.5.0.1, only oscar protocol
(i.e. AIM/ICQ) is supported, though it is expected to support every
protocol in 2.0.

%prep
%setup -q -n %name-%version%pre
aclocal
autoconf

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%{_libdir}/gaim/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_libdir}/gaim/*.so


%changelog
* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.0-0.beta5.2mdv2007.0
+ Revision: 87409
- fix installation on x86_64
- new version

* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 2.0-0.beta3.2mdv2007.1
+ Revision: 72358
- fix installation on x86_64
- Import gaim-rhythmbox



* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 2.0-0.beta3.1mdv2007.1
- fix URL
- fix build
- fix buildrequires
- new version

* Fri Nov 18 2005 Abel Cheung <deaddog@mandriva.org> 1.5.0.1-1mdk
- New version

* Mon Nov 22 2004 Abel Cheung <deaddog@mandrake.org> 1.0.0.1-1mdk
- First Mandrake package
